/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package block;

import game.Sprite;
import score.Score;
import java.awt.Image;
import javax.swing.ImageIcon;

/**
 * Base class of every levelobject. 
 * @author Martin Pieck
 */
public abstract class Block {
    public Block(){
        
    }   
        
    public Class getTypeBlock(){
        return this.getClass();
    }
    
    public String[] getTypes(){
        return null;
    }
    
    public String getSaveTypeBlock() {
        return this.getClass().getSimpleName().toLowerCase();
    }
    
    public Image getImage(){
        return image;
    }
    
    public void setImage(String name){
        String filename = "/img/block_" + name + ".png";
        ImageIcon ii = new ImageIcon(this.getClass().getResource(filename));
        image = ii.getImage();
    }
    
    public abstract Boolean getEffect(Sprite sprite, Score score);
    
    public abstract Boolean getEffect(Sprite sprite);
    
    private Image image;    
    
    
}
