/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package block;

import game.Sprite;
import main.Global;
import score.Score;

/**
 *
 * @author s070280
 */
public class WarpHole extends Block {
    public WarpHole() {
        setImage(this.getClass().getSimpleName().toLowerCase());
    }
   
    public void setNextWarpHole(int[] index){
        nextWarpHole[0] = index[1]*Global.BLOCKSIZE.value();
        nextWarpHole[1] = index[0]*Global.BLOCKSIZE.value();
    }

    @Override
    public Boolean getEffect(Sprite sprite, Score score) {                        
        return true;
    }
    
    public void setWarp(Sprite sprite){
        sprite.coordinate[0] = nextWarpHole[0] - (int)(sprite.direction.getdX() * sprite.speed * sprite.stateModifier);
        sprite.coordinate[1] = nextWarpHole[1] - (int)(sprite.direction.getdY() * sprite.speed * sprite.stateModifier);
    }
    
    @Override
    public Boolean getEffect(Sprite sprite) {        
        return true;
    }
    
    private int[] nextWarpHole = new int[2];   
}
