package gui;

import java.awt.Graphics;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.ImageIcon;
import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JPanel;

/**
 *
 * @author s070280
 */
public class GUIHowtoplay extends JPanel{

    
    public GUIHowtoplay(GUIFrame f, GUIMainMenu mainMenu){
        setVisible(true);
        setLayout(null);
        frame = f;
        menu = mainMenu;
        
        back = new JButton(new ImageIcon(this.getClass().getResource("/img/return.png")));
        back.setBounds(20, 410, 290, 62); 
        back.addActionListener(new ActionListener(){
            public void actionPerformed(ActionEvent e) {
                setVisible(false);
                menu.setVisible(true);
            }
        });
        add(back);
        
    } 
    
    
    public void paintComponent(Graphics g) {
        g.drawImage(new ImageIcon(this.getClass().getResource("/img/howtoplay.png")).getImage(), 0, 0, null);        
    }  
    
    private GUIMainMenu menu;
    private JButton back;
    public GUIFrame frame;
    
}