/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package main;

import java.applet.Applet;
import java.applet.AudioClip;
import java.io.BufferedInputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.FilenameFilter;
import java.io.InputStream;
import java.net.URL;
import javazoom.jl.player.Player;

/**
 *
 * @author s070280
 */
public class Music implements Runnable {

    public boolean playing;
    private Player player;
    private Thread mp3Thread;
    private Runnable mp3Run;
    private File[] fileList;
    private int fileCount = 3;

    public Music() {
        playing = true;
        //fileList = getBackgroundMp3();
    }

    @Override
    public void run() {
        while (playing) {
            startBackground();
        }
    }   

    public void startBackground() {
        try {
            InputStream inStream = this.getClass().getResourceAsStream("/music/background.mp3");
            BufferedInputStream bis = new BufferedInputStream(inStream);
            player = new Player(bis);
            mp3Run = new Runnable() {

                @Override
                public void run() {
                    try {
                        player.play();
                    } catch (Exception e) {
                        System.out.println(e);
                    }
                }
            };

            mp3Thread = new Thread(mp3Run);
            mp3Thread.start();
            mp3Thread.join();
        } catch (Exception e) {
            System.out.println(e);
        }
        //fileCount++;
        //if (fileCount > fileList.length) {
        //    fileCount = 0;
        //}
    }

    private File[] getBackgroundMp3() {
        File f = new File("");
        String dir = f.getAbsolutePath() + "/src/music";
        f = new File(dir);
        FilenameFilter filter = new ExtenstionFilter("mp3");
        return f.listFiles(filter);
    }

    private class ExtenstionFilter implements FilenameFilter {

        String ext;

        public ExtenstionFilter(String ext) {
            this.ext = "." + ext;
        }

        @Override
        public boolean accept(File dir, String name) {
            return name.endsWith(ext);
        }
    }
}